mfcobol2com.javaFilenameFilter (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.packagemigration.mfcobol2com.javaFilenameFilter class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.packagemigration
Class mfcobol2com.javaFilenameFilter

    java.lang.Object
      com.microfocus.cobol.packagemigration.mfcobol2com.javaFilenameFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  mfcobol2com

public class mfcobol2com.javaFilenameFilter
extends Object
implements FilenameFilter

Class declaration

Constructor Summary
`mfcobol2com.javaFilenameFilter()`

Method Summary
`boolean` | `accept(File directory, String filename)` Method declaration
`String[]` | `getFilenames()` Method declaration
`File[]` | `getSubDirs()` Method declaration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mfcobol2com.javaFilenameFilter

    public mfcobol2com.javaFilenameFilter()

Method Detail

### accept

    public boolean accept(File directory,
                          String filename)

  Method declaration

  Specified by:
    `accept` in interface `FilenameFilter`
  Parameters:
    `directory` -
    `filename` -
  Returns:
    boolean

### getFilenames

    public String[] getFilenames()

  Method declaration

  Returns:
    String[]

### getSubDirs

    public File[] getSubDirs()

  Method declaration

  Returns:
    File[]

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.